#include <creaImageIODicomNodeTypeDescription.h>
#include <creaImageIODicomDatabaseStructure.h>

namespace creaImageIO
{

  DicomNodeTypeDescription::DicomNodeTypeDescription()
  {
  }

  DicomNodeTypeDescription::~DicomNodeTypeDescription()
  {
  }
  
  /*
  const Field::Description& DicomNodeTypeDescription::GetFieldDescription(const Field::Key& k) const
  {
    
  }
  */

  void DicomNodeTypeDescription::BuildDefault(int typecode)
  {
    //    std::cout << "*** DicomNodeTypeDescription::BuildDefault("<<typecode
    // <<") s="<<size<<std::endl;

    mFieldDescriptionMap.clear();

    for (int i=0;i<DicomDatabaseStructure::NbMandatoryFields(typecode);i++)
      {
	Add(DicomDatabaseStructure::MandatoryField(typecode,i));
      }
    for (int i=0;i<DicomDatabaseStructure::NbDefaultFields(typecode);i++)
      {
	Add(DicomDatabaseStructure::DefaultField(typecode,i));
      }
  }


  void DicomNodeTypeDescription::Add(const Field::Description& d)
  {
    mFieldDescriptionMap[d.key] = d;
  }
    

} // namespace creaImageIO
